package msg_transfer

import (
	"dcg/game/svc"
)

var (
	danmakuMsgToPush MsgToPushHandler
	giftMsgToPush    GiftToPushHandler
)

func Init(svc *svc.ServiceContext) {
	danmakuMsgToPush.Init(svc)
	giftMsgToPush.Init(svc)
}

func Run() {
	go danmakuMsgToPush.ConsumerGroup.RegisterHandlerAndConsumer(&danmakuMsgToPush)
	go giftMsgToPush.ConsumerGroup.RegisterHandlerAndConsumer(&giftMsgToPush)
}
